# $Id: perl-DBD-Oracle.spec 31 2006-06-12 17:13:06Z matthias $

%define __perl /usr/local/bin/perl
%define _prefix /usr/local

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_archlib %(eval "`%{__perl} -V:installarchlib`"; echo $installarchlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)
%define perl_man1dir %(eval "`%{__perl} -V:installvendorman1dir`"; echo $installvendorman1dir)
%define perl_man3dir %(eval "`%{__perl} -V:installvendorman3dir`"; echo $installvendorman3dir)
%define perl_bindir %(eval "`%{__perl} -V:installvendorbin`"; echo $installvendorbin)
%define perl_scriptdir %(eval "`%{__perl} -V:installvendorscript`"; echo $installvendorscript)

Summary: Oracle database driver for the DBI module
Name: upenn-perl-DBD-Oracle
Version: 1.24b
Release: 1%{?dist}
License: Artistic or GPL
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/DBD/DBD-Oracle-%{version}.tar.gz
URL: http://search.cpan.org/dist/DBD-Oracle/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: upenn-perl-DBI
BuildRequires: oracle-instantclient-devel
Requires: upenn-perl
Requires: upenn-perl-DBI
Requires: oracle-instantclient-basic
Requires: oracle-instantclient-sqlplus

%description
Oracle database driver for the DBI module.


%prep
%setup -q -n DBD-Oracle-1.24
# All files in the archive are executable... (still as of 1.19)
find . -type f -exec chmod -x {} \;


%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__make} install
find %{buildroot} -type f -a \( -name .packlist \
    -o \( -name '*.bs' -a -empty \) \) -exec %{__rm} -f {} \;
# Fix up Oraperl.pm location, see original Makefile.PL
#%{__mv} %{buildroot}%{perl_vendorarch}{/DBD,}/Oraperl.pm
#%{__mv} %{buildroot}%{perl_man3dir}/{DBD::,}Oraperl.3*
# Avoid dependencies
%{__chmod} -x %{buildroot}%{perl_bindir}/ora_explain
%{__chmod} -x %{buildroot}%{perl_vendorarch}/auto/DBD/Oracle/Oracle.so

# TODO: headers etc, see post_initialize() in original Makefile.PL


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README README.clients.txt README.linux.txt Todo
%attr(0755, root, root) %{perl_bindir}/ora_explain
%{perl_vendorarch}/auto/DBD/
%{perl_vendorarch}/DBD/
%{perl_vendorarch}/Oraperl.pm
%{perl_man1dir}/ora_explain.1*
%{perl_man3dir}/*.3*
%{perl_archlib}/perllocal.pod
%{perl_vendorarch}/oraperl.ph

%changelog
* Wed May 16 2007 Matthias Saou <http://freshrpms.net/> 1.19-1
- Update to 1.19.

* Mon Jun 12 2006 Matthias Saou <http://freshrpms.net/> 1.17-1
- Update to 1.17 which is supposed to support instant client natively, but it's
  still much more complicated to have the original Makefile.PL find and use it
  than simply use our own Makefile.PL instead...
- Update %%doc to reflect .txt suffix addition.
- Remove unneeded patch to the original Makefile.PL.
- Remove no longer needed chmod call for stripping to work.

* Thu May 18 2006 Matthias Saou <http://freshrpms.net/> 1.16-4
- Rebuild against fixed library on x86_64 (link against libs in lib64).

* Mon Nov 14 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.16-3
- Add dependency on perl(:MODULE_COMPAT_*).
- Ship ora_explain, ignoring dependencies.
- Own installed directories.

* Mon Apr 11 2005 Matthias Saou <http://freshrpms.net/> 1.16-2
- Remove oracle-instantclient-wrapper build dep.

* Tue Mar 15 2005 Matthias Saou <http://freshrpms.net/> 1.16-1
- Initial RPM package.
- Exclude ora_explain as it requires perl(Tk).

